> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projectstatus

> List of project guide steps status values.

## "projectstatus" MDO List

List of project guide steps status values.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectStatusProvider">ProjectStatusProvider</see> class.
The name of the MDO list is 'projectstatus'.

## Additional Attributes

| Description                               | Name            | Example Value |
| ----------------------------------------- | --------------- | ------------- |
| The project type id.                      | ProjectTypeId   | 123           |
| Include deleted items                     | GetDeleted      | True          |
| Include deleted projects                  | GetDeletedLinks | True          |
| Project types to get project statuses for | ProjectTypeIDs  | 1,2,3,4       |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projectstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projectstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name             | StyleHint | ExtraInfo                                   |
| -- | ---------------- | --------- | ------------------------------------------- |
| 5  | Project planning |           | IsDeleted=False\&ProjectTypeStatusLinkId=1& |
| 6  | Implementation   |           | IsDeleted=False\&ProjectTypeStatusLinkId=2& |
| 7  | Completion       |           | IsDeleted=False\&ProjectTypeStatusLinkId=3& |

## Related MDO Lists

* "projectstatusheadings"
* "projectstatusheadingswithallitem"
* "projectstatusheadingswithallitemwithnoselection"
* "projectstatusheadingswithnoselection"
* "projectstatuswithallitem"
* "projectstatuswithallitemwithnoselection"
* "projectstatuswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ProjectStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectStatus.md)
- [SuperOffice.WebApi.Data.ProjectEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectEntity.md)
- [Delete Project Status](/en/api/reference/restful/rest/list_projectstatus/delete-project-status.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
- [Delete All Project Status](/en/api/reference/restful/rest/list_projectstatus/delete-all-project-status.md)
